﻿@using EpamMVC.WEB.HtmlHelpers
@model EpamMVC.WEB.Areas.Admin.Models.ClientAccountAdmin.IndexViewModel

<div class="card js_callbackTableWidget">
    <div class="card-header">
        <h3 class="card-title">

        </h3>
        <div class="card-tools">
            @Html.PrintPagination(Model.Pagination)
        </div>
    </div>
    <div class="card-body">

        <table class="table table-striped table-hover table-bordered">
            <thead>
            <tr>
                <th>
                    Номер карты
                </th>
                <th>
                    Статус
                </th>
                <th>
                    Баланс
                </th>
                <th>
                    Email клиента
                </th>
                <th class="text-right">
                    Действия
                </th>
            </tr>
            </thead>

            <tbody>
            @foreach (var account in Model.Accounts)
            {
                <tr>
                    <td>
                        @(account.Id)
                    </td>
                    <td>
                        @if (account.Locked)
                        {
                            <span class="badge bg-danger">Заблокирован</span>
                        }
                        else
                        {
                            <span class="badge bg-success">Активен</span>
                        }

                        @if (account.UnlockRequest)
                        {
                            <span class="badge bg-info">Запрос на активацию</span>
                        }
                    </td>
                    <td>
                        @account.Balance
                    </td>
                    <td>
                        @(account.User.Email)
                    </td>
                    <td class="text-right">
                        <a class="btn btn-info btn-sm"
                           href="@Url.Action("Edit", new {account.Id})">
                            <i class="fas fa-check"></i>
                            Отредактировать
                        </a>
                        <a class="btn btn-danger btn-sm "
                           href="@Url.Action("Delete", new {account.Id})">
                            <i class="fas fa-trash"></i>
                            Удалить
                        </a>
                    </td>
                </tr>
            }

            </tbody>
        </table>
    </div>
    <div class="card-footer clearfix">
        @Html.PrintPagination(Model.Pagination)
    </div>
</div>
